### Method

# Gtk Video set_filename

#### Declaration [src]

    void
    gtk_video_set_filename (
      GtkVideo* self,
      const char* filename
    )

#### Description [src]

Makes `self` play the given `filename`.

This is a utility function that calls gtk_video_set_file(),.

#### Parameters

`filename` | `const char*`
| The filename to play.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.